import { select, arc } from 'd3';

    const svg = d3.select('svg');
    //svg.style('background-color','red');
    const height = +svg.attr('height');//parseFloat
    const width = +svg.attr('width');
    const g = svg.append('g')
        .attr('transform', 'translate(480,250)');

    const circle = g.append('circle')
        .attr('r' , height / 2)
        .attr('fill', 'yellow')
        .attr('stroke', 'black');

    const eyespacing = 100;
    const eyeoffset = -70;
    const eyeradius = 30;
    const eyebrowwidth= 70;
    const eyebrowheight= 15;
    const eyebrowYoffset= -70;

    const lefteye = g.append('circle')
        .attr('r' , eyeradius)
        .attr('cx', - eyespacing)
        .attr('cy', + eyeoffset)
        .attr('stroke', 'black');

    const righteye = g.append('circle')
        .attr('r' , eyeradius)
        .attr('cx', + eyespacing)
        .attr('cy', + eyeoffset)
        .attr('stroke', 'black');

    const lefteyebrow = g
        .append('rect')
         .attr('x',-eyespacing-eyebrowwidth/2)
         .attr('y', eyebrowYoffset-60)
         .attr('width',eyebrowwidth)
         .attr('height',eyebrowheight)
         .attr('stroke', 'black')
        .transition().duration(2000)
         .attr('y',eyebrowYoffset - 100)
        .transition().duration(2000)
         .attr('y',eyebrowYoffset - 80);;

    const righteyebrow = g
        .append('rect')
         .attr('x',+eyespacing-eyebrowwidth/2)
         .attr('y', eyebrowYoffset-60)
         .attr('width',eyebrowwidth)
         .attr('height',eyebrowheight)
         .attr('stroke', 'black')
        .transition().duration(2000)
         .attr('y',eyebrowYoffset - 100)
        .transition().duration(2000)
         .attr('y',eyebrowYoffset - 80);

    const mouth = g.append('path')
        .attr('d', d3.arc()({
            innerRadius: 150,
            outerRadius: 170,
            startAngle: Math.PI/2,
            endAngle: Math.PI*3/2
        }));